C(3)

PACKAGE
c - Routines to manage callback lists

PURPOSE
These routines are meant to provide a general purpose callback management framework. Library packages and applications may use this package to implement their own callback mechanisms. This package removes the need for external code to maintain and traverse callback lists.

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

c_register_callback
    Register a callback function with a list.

c_unregister_callback
    Unregister a callback function.

c_call_callbacks
    Call all registered callbacks for an object.

c_destroy_list
    Destroy a callback list.

c_move_callback
    Move a callback function.

c_list_dispatching
    Test if a callback list is currently dispatching events.

c_list_dispatching2
    Test if a callback list is currently dispatching events.

c_list_test_empty
    Test if a callback list has any callbacks registered with it.

c_write_null_func
    Write NULL to a pointer.

c_write_2nulls_func
    Write NULL values to a structure containing two pointers.

c_unregister_callback2
    Unregister a callback function.

c_PROTO_callback
    Generic callback.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/